osl::PtypeTraits< LANCE > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =false
static const Ptype | moveType =LANCE
static const Ptype | basicType =LANCE
static const int | indexMin =32
static const int | indexLimit =36
static const int | dropBlackFromY =2
static const int | dropBlackToY =9
static const int | mayPromoteToY =9
static const int | moveMask =DirectionTraits<LONG_U>::mask

## Detailed Description

Definition at line 91 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< LANCE >::csaName | ( |  | ) |

inline static

Definition at line 99 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< LANCE >::name | ( |  | ) |

inline static

Definition at line 98 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< LANCE >::basicType =LANCE

static

Definition at line 97 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< LANCE >::betterToPromote =false

static

Definition at line 95 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< LANCE >::canPromote =true

static

Definition at line 94 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< LANCE >::dropBlackFromY =2

static

Definition at line 102 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< LANCE >::dropBlackToY =9

static

Definition at line 103 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< LANCE >::indexLimit =36

static

Definition at line 101 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< LANCE >::indexMin =32

static

Definition at line 100 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< LANCE >::isBasic =true

static

Definition at line 93 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< LANCE >::mayPromoteToY =9

static

Definition at line 104 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< LANCE >::moveMask =DirectionTraits<LONG_U>::mask

static

Definition at line 105 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< LANCE >::moveType =LANCE

static

Definition at line 96 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h